from django.conf.urls import url
from rugwebsite.views import gdpr, gdpr_request_delete, gdpr_delete, gdpr_agree, gdpr_create_agree, gdpr_ask_agreement

urlpatterns = [
    url(r'/$', gdpr, name='gdpr'),
    url(r'request-delete/$', gdpr_request_delete, name='gdpr-request-delete'),
    url(r'delete/(?P<email>[^/]+)/(?P<token>[a-zA-Z0-9]{32})/$', gdpr_delete, name='gdpr-delete'),
    url(r'agree/(?P<email>[^/]+)/(?P<token>[a-zA-Z0-9]{32})/$', gdpr_agree, name='gdpr-agree'),
    url(r'create-agree/$', gdpr_create_agree, name='gdpr-create-agree'),
    url(r'ask-for-agreement/$', gdpr_ask_agreement, name='gdpr-ask-for-agreement'),
]
